# $Revision: 1.6 $, $Date: 2011/09/26 10:04:07 $
Summary:	Objective Caml Preprocessor
Summary(pl.UTF-8):	Preprocesor OCamla
Name:		camlp5
Version:	6.02.3
Release:	1
License:	distributable
Group:		Development/Languages
Source0:	http://pauillac.inria.fr/~ddr/camlp5/distrib/src/%{name}-%{version}.tgz
# Source0-md5:	a4f5e0dc13c43d50eb655c8e929f556e
#Source1:	http://pauillac.inria.fr/~ddr/camlp5/doc/pdf/%{name}-%{version}.pdf
Source1:	http://pauillac.inria.fr/~ddr/camlp5/doc/pdf/%{name}-6.00.pdf
# Source1-md5:	b241eabfeb48f22b0fbd3e497198a76a
URL:		http://caml.inria.fr/
BuildRequires:	db-devel >= 4.1
BuildRequires:	ocaml
Requires:	%{name} = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Camlp4 is a Pre-Processor-Pretty-Printer for Objective Caml. It offers
tools for syntax (grammars) and the ability to modify the concrete
syntax of the language (quotations, syntax extensions).

Camlp4 can parse normal Ocaml concrete syntax or any other
user-definable syntax. As an example, an alternative syntax is
provided, named revised, because it tries to fix some small problems
of the normal syntax.

Camlp4 can pretty print the normal Ocaml concrete syntax or the
revised one. It is therefore always possible to have a version of your
sources compilable by the Objective Caml compiler without
preprocessing.

%description -l pl.UTF-8
Camlp4 jest preprocesorem OCamla. Oferuje narzędzia do manipulowania
składnią (gramatyki) oraz możliwość modyfikowania oryginalnej składni
języka (cytowania, rozszerzenia).

Camlp4 może sparsować oryginalną składnię Ocamla lub dowolną inną
definiowalną przez użytkownika. Jako przykład podana jest alternatywna
składnia (revised syntax), która próbuje poprawić drobne problemy
występujące w składni oryginalnej.

Camlp4 umie ładnie formatować źródła zarówno w oryginalnej jak i
poprawionej składni OCamla. Potrafi także tłumaczyć programy z jednej
składni na drugą.

%package doc-html
Summary:	Objective Caml Preprocessor - HTML documentation 
Summary(pl.UTF-8):	Preprocesor OCamla - dokumentacja HTML 
Group:		Development/Languages

%description doc-html
Objective Caml Preprocessor - HTML documentation.

%description doc-html -l pl.UTF-8
Preprocesor OCamla - dokumentacja HTML.

%prep
%setup -q
cp %{SOURCE1} doc/camlp4.pdf

%build 
./configure \
	-bindir %{_bindir} \
	-libdir %{_libdir}/ocaml \
	-mandir %{_mandir}/man1 \
	-transitional

%{__make} -j1 world.opt
%{__make} -j1 -C doc/htmlp

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

# broken build system
for f in camlp5o.opt.1 camlp5r.opt.1 mkcamlp5.1 ocpp5.1 \
		 camlp5o.1 camlp5r.1 camlp5sch.1 mkcamlp5.opt.1 ; do
	rm -f $RPM_BUILD_ROOT%{_mandir}/man1/$f
	echo '.so camlp5.1' >$RPM_BUILD_ROOT%{_mandir}/man1/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES DEVEL ICHANGES MODE README UPGRADING doc/camlp4.pdf
%attr(755,root,root) %{_bindir}/*
%{_libdir}/ocaml/%{name}
%{_mandir}/man1/*

%files doc-html
%defattr(644,root,root,755)
%doc doc/html/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: camlp5.spec,v $
Revision 1.6  2011/09/26 10:04:07  baggins
- updated to 6.02.3

Revision 1.5  2011/04/07 12:03:10  baggins
- rel 2
- added official patches

Revision 1.4  2011/04/06 09:01:21  baggins
- 6.02.2

Revision 1.3  2009/02/16 12:22:42  baggins
- added docs to main package

Revision 1.2  2009/02/16 12:18:14  baggins
- no need for external html tgz
- cleaned build/install/files

Revision 1.1  2009/02/16 12:05:48  baggins
- initial revision

